<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: HitInfo Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d3/d34/class_hit_info.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a>  </div>
  <div class="headertitle"><div class="title">HitInfo Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:afad95fc7f6d59c034847e3eb17bf2af3"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d34/class_hit_info.html#afad95fc7f6d59c034847e3eb17bf2af3">GetSurfaceNoiseMultiplier</a> ()</td></tr>
<tr class="separator:afad95fc7f6d59c034847e3eb17bf2af3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5636ca183b2d1a1ac1a203d7c127918e"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d34/class_hit_info.html#a5636ca183b2d1a1ac1a203d7c127918e">GetAmmoType</a> ()</td></tr>
<tr class="separator:a5636ca183b2d1a1ac1a203d7c127918e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a27304bc279a1e7e59edac08c09482aa2"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d34/class_hit_info.html#a27304bc279a1e7e59edac08c09482aa2">GetPosition</a> ()</td></tr>
<tr class="separator:a27304bc279a1e7e59edac08c09482aa2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acd06a1622e13e28ce34c30da47124a7f"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d34/class_hit_info.html#acd06a1622e13e28ce34c30da47124a7f">GetSurfaceNormal</a> ()</td></tr>
<tr class="separator:acd06a1622e13e28ce34c30da47124a7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac5303f24fb2399852dc0c15186f7fb3a"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d34/class_hit_info.html#ac5303f24fb2399852dc0c15186f7fb3a">GetSurface</a> ()</td></tr>
<tr class="separator:ac5303f24fb2399852dc0c15186f7fb3a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a83464139886f7edb65484987a3b0734d"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d3/d34/class_hit_info.html#a83464139886f7edb65484987a3b0734d">IsWater</a> ()</td></tr>
<tr class="separator:a83464139886f7edb65484987a3b0734d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock">
<p class="definition">Definition at line <a class="el" href="../../d7/d7d/_hit_info_8c_source.html#l00001">1</a> of file <a class="el" href="../../d7/d7d/_hit_info_8c_source.html">HitInfo.c</a>.</p>
</div><h2 class="groupheader">Member Function Documentation</h2>
<a id="a5636ca183b2d1a1ac1a203d7c127918e" name="a5636ca183b2d1a1ac1a203d7c127918e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a5636ca183b2d1a1ac1a203d7c127918e">&#9670;&#160;</a></span>GetAmmoType()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> HitInfo::GetAmmoType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a27304bc279a1e7e59edac08c09482aa2" name="a27304bc279a1e7e59edac08c09482aa2"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a27304bc279a1e7e59edac08c09482aa2">&#9670;&#160;</a></span>GetPosition()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a> HitInfo::GetPosition </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="ac5303f24fb2399852dc0c15186f7fb3a" name="ac5303f24fb2399852dc0c15186f7fb3a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ac5303f24fb2399852dc0c15186f7fb3a">&#9670;&#160;</a></span>GetSurface()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> HitInfo::GetSurface </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="afad95fc7f6d59c034847e3eb17bf2af3" name="afad95fc7f6d59c034847e3eb17bf2af3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#afad95fc7f6d59c034847e3eb17bf2af3">&#9670;&#160;</a></span>GetSurfaceNoiseMultiplier()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d4/dc3/classfloat.html">float</a> HitInfo::GetSurfaceNoiseMultiplier </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="acd06a1622e13e28ce34c30da47124a7f" name="acd06a1622e13e28ce34c30da47124a7f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#acd06a1622e13e28ce34c30da47124a7f">&#9670;&#160;</a></span>GetSurfaceNormal()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d7/dfc/classvector.html">vector</a> HitInfo::GetSurfaceNormal </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<a id="a83464139886f7edb65484987a3b0734d" name="a83464139886f7edb65484987a3b0734d"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a83464139886f7edb65484987a3b0734d">&#9670;&#160;</a></span>IsWater()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">proto native <a class="el" href="../../d9/db9/classbool.html">bool</a> HitInfo::IsWater </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/<a class="el" href="../../d7/d7d/_hit_info_8c_source.html">HitInfo.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d3/d34/class_hit_info.html">HitInfo</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
